> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /patentscope/patents

> Get a patent record by its PATENTSCOPE docId

**Price:** 5 credits

**⚠️ Common errors:** 412: Patent not found



## OpenAPI

````yaml /openapi/research-papers.json post /api/patentscope/patents
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/patentscope/patents:
    post:
      tags:
        - /patentscope
      summary: /patentscope/patents
      description: |-
        Get a patent record by its PATENTSCOPE docId

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Patent not found
      operationId: __api_patentscope_patents_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatentscopePatentPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PatentscopePatent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatentscopePatentPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        patent:
          type: string
          minLength: 3
        lang:
          $ref: '#/components/schemas/PatentscopeLang'
          default: en
      type: object
      required:
        - patent
    PatentscopePatent:
      properties:
        '@type':
          type: string
          default: PatentscopePatent
        doc_id:
          type: string
        publication_number:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_kind:
          anyOf:
            - type: string
            - type: 'null'
        publication_language:
          anyOf:
            - type: string
            - type: 'null'
        filing_language:
          anyOf:
            - type: string
            - type: 'null'
        grant_number:
          anyOf:
            - type: string
            - type: 'null'
        grant_date:
          anyOf:
            - type: string
            - type: 'null'
        title_translations:
          additionalProperties:
            type: string
          type: object
          default: {}
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        abstract_translations:
          additionalProperties:
            type: string
          type: object
          default: {}
        office:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        application_date:
          anyOf:
            - type: string
            - type: 'null'
        international_application_number:
          anyOf:
            - type: string
            - type: 'null'
        international_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        ipc:
          items:
            type: string
          type: array
          default: []
        cpc:
          items:
            type: string
          type: array
          default: []
        applicants:
          items:
            $ref: '#/components/schemas/PatentscopePerson'
          type: array
          default: []
        inventors:
          items:
            $ref: '#/components/schemas/PatentscopePerson'
          type: array
          default: []
        agents:
          items:
            $ref: '#/components/schemas/PatentscopePerson'
          type: array
          default: []
        priority_claims:
          items:
            $ref: '#/components/schemas/PatentscopePriorityClaim'
          type: array
          default: []
        designated_states:
          items:
            type: string
          type: array
          default: []
        family_members:
          items:
            $ref: '#/components/schemas/PatentscopeFamilyMember'
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - doc_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PatentscopeLang:
      type: string
      enum:
        - en
        - fr
        - de
        - es
        - pt
        - ru
        - ja
        - zh
        - ko
        - ar
    PatentscopePerson:
      properties:
        '@type':
          type: string
          default: PatentscopePerson
        name:
          type: string
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    PatentscopePriorityClaim:
      properties:
        '@type':
          type: string
          default: PatentscopePriorityClaim
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PatentscopeFamilyMember:
      properties:
        '@type':
          type: string
          default: PatentscopeFamilyMember
        publication_number:
          type: string
        doc_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - publication_number
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````